Browse Source

Update LPC1769 Pins Files (#13183)

Thomas Moore 5 years ago
parent
commit
9f5e4e5ad8

+ 1
- 0
.travis.yml View File

@@ -19,6 +19,7 @@ env:
19 19
   - TEST_PLATFORM="megaatmega2560"
20 20
   - TEST_PLATFORM="DUE"
21 21
   - TEST_PLATFORM="LPC1768"
22
+  - TEST_PLATFORM="LPC1769"
22 23
   - TEST_PLATFORM="STM32F1"
23 24
   - TEST_PLATFORM="teensy35"
24 25
 

+ 2
- 2
Marlin/src/pins/pins_AZTEEG_X5_GT.h View File

@@ -24,8 +24,8 @@
24 24
  * Azteeg X5 GT pin assignments
25 25
  */
26 26
 
27
-#ifndef TARGET_LPC1768
28
-  #error "Oops! Make sure you have the LPC1768 environment selected in your IDE."
27
+#ifndef LPC1769
28
+  #error "Oops! Make sure you have the LPC1769 environment selected in your IDE."
29 29
 #endif
30 30
 
31 31
 #define BOARD_NAME        "Azteeg X5 GT"

+ 11
- 7
Marlin/src/pins/pins_AZTEEG_X5_MINI_WIFI.h View File

@@ -24,8 +24,8 @@
24 24
  * Azteeg X5 MINI pin assignments
25 25
  */
26 26
 
27
-#ifndef TARGET_LPC1768
28
-  #error "Oops! Make sure you have the LPC1768 environment selected in your IDE."
27
+#ifndef LPC1769
28
+  #error "Oops! Make sure you have the LPC1769 environment selected in your IDE."
29 29
 #endif
30 30
 
31 31
 #define BOARD_NAME        "Azteeg X5 MINI WIFI"
@@ -34,19 +34,23 @@
34 34
 //
35 35
 // LED
36 36
 //
37
-#define LED_PIN             P1_18
37
+#define LED_PIN            P1_18
38 38
 
39 39
 //
40
-// Servo
40
+// Servos
41 41
 //
42 42
 #define SERVO0_PIN         P1_29
43 43
 
44 44
 //
45 45
 // Limit Switches
46 46
 //
47
-#define X_MIN_PIN          P1_24
48
-#define Y_MIN_PIN          P1_26
49
-#define Z_MIN_PIN          P1_28
47
+#define X_STOP_PIN         P1_24
48
+#define Y_STOP_PIN         P1_26
49
+#define Z_STOP_PIN         P1_28
50
+
51
+#ifndef FILWIDTH_PIN
52
+  #define FILWIDTH_PIN     P2_04
53
+#endif
50 54
 
51 55
 //
52 56
 // Steppers

+ 1
- 1
Marlin/src/pins/pins_COHESION3D_MINI.h View File

@@ -24,7 +24,7 @@
24 24
  * Cohesion3D Mini pin assignments
25 25
  */
26 26
 
27
-#if !defined(TARGET_LPC1768) && !defined(LPC1769)
27
+#ifndef LPC1769
28 28
   #error "Oops! Make sure you have the LPC1769 environment selected in your IDE."
29 29
 #endif
30 30
 

+ 1
- 1
Marlin/src/pins/pins_COHESION3D_REMIX.h View File

@@ -24,7 +24,7 @@
24 24
  * Cohesion3D ReMix pin assignments
25 25
  */
26 26
 
27
-#if !defined(TARGET_LPC1768) && !defined(LPC1769)
27
+#ifndef LPC1769
28 28
   #error "Oops! Make sure you have the LPC1769 environment selected in your IDE."
29 29
 #endif
30 30
 

+ 2
- 2
Marlin/src/pins/pins_SMOOTHIEBOARD.h View File

@@ -24,8 +24,8 @@
24 24
  * Smoothieboard pin assignments
25 25
  */
26 26
 
27
-#ifndef TARGET_LPC1768
28
-  #error "Oops! Make sure you have the LPC1768 environment selected in your IDE."
27
+#ifndef LPC1769
28
+  #error "Oops! Make sure you have the LPC1769 environment selected in your IDE."
29 29
 #endif
30 30
 
31 31
 #define BOARD_NAME        "Smoothieboard"

+ 0
- 16
buildroot/share/tests/LPC1768_tests View File

@@ -20,10 +20,6 @@ use_example_configs Mks/Sbase
20 20
 exec_test $1 $2 "MKS SBASE Example Config"
21 21
 
22 22
 restore_configs
23
-use_example_configs Azteeg/X5GT
24
-exec_test $1 $2 "Azteeg X5GT Example Config"
25
-
26
-restore_configs
27 23
 opt_set MOTHERBOARD BOARD_MKS_SBASE
28 24
 opt_set EXTRUDERS 2
29 25
 opt_set TEMP_SENSOR_1 1
@@ -63,17 +59,5 @@ opt_set FAN_KICKSTART_TIME 100
63 59
 opt_set XY_FREQUENCY_LIMIT  15
64 60
 exec_test $1 $2 "MKS SBASE Many less common options"
65 61
 
66
-restore_configs
67
-use_example_configs delta/generic
68
-opt_set MOTHERBOARD BOARD_COHESION3D_REMIX
69
-opt_enable AUTO_BED_LEVELING_BILINEAR EEPROM_SETTINGS EEPROM_CHITCHAT
70
-opt_disable Z_MIN_PROBE_USES_Z_MIN_ENDSTOP_PIN
71
-opt_set X_DRIVER_TYPE TMC2130
72
-opt_set Y_DRIVER_TYPE TMC2130
73
-opt_set Z_DRIVER_TYPE TMC2130
74
-opt_enable TMC_USE_SW_SPI MONITOR_DRIVER_STATUS STEALTHCHOP HYBRID_THRESHOLD TMC_DEBUG \
75
-           SENSORLESS_PROBING X_STALL_SENSITIVITY Y_STALL_SENSITIVITY Z_STALL_SENSITIVITY
76
-exec_test $1 $2 "Delta Config (generic) + BOARD_COHESION3D_REMIX + UBL + EEPROM_SETTINGS + SENSORLESS_PROBING"
77
-
78 62
 # clean up
79 63
 restore_configs

+ 55
- 0
buildroot/share/tests/LPC1769_tests View File

@@ -0,0 +1,55 @@
1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for LPC1769 (NXP ARM Cortex-M3)
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+restore_configs
10
+use_example_configs Azteeg/X5GT
11
+exec_test $1 $2 "Azteeg X5GT Example Config"
12
+
13
+restore_configs
14
+opt_set MOTHERBOARD BOARD_SMOOTHIEBOARD
15
+opt_set EXTRUDERS 2
16
+opt_set TEMP_SENSOR_1 -1
17
+opt_set TEMP_SENSOR_BED 5
18
+opt_enable VIKI2 SDSUPPORT ADAPTIVE_FAN_SLOWING NO_FAN_SLOWING_IN_PID_TUNING \
19
+           FIX_MOUNTED_PROBE Z_SAFE_HOMING AUTO_BED_LEVELING_BILINEAR Z_MIN_PROBE_REPEATABILITY_TEST DEBUG_LEVELING_FEATURE \
20
+           BABYSTEPPING BABYSTEP_XY BABYSTEP_ZPROBE_OFFSET BABYSTEP_ZPROBE_GFX_OVERLAY \
21
+           PRINTCOUNTER NOZZLE_PARK_FEATURE NOZZLE_CLEAN_FEATURE SLOW_PWM_HEATERS PIDTEMPBED EEPROM_SETTINGS INCH_MODE_SUPPORT TEMPERATURE_UNITS_SUPPORT \
22
+           ADVANCED_PAUSE_FEATURE PARK_HEAD_ON_PAUSE \
23
+           LCD_INFO_MENU ARC_SUPPORT BEZIER_CURVE_SUPPORT EXTENDED_CAPABILITIES_REPORT AUTO_REPORT_TEMPERATURES SDCARD_SORT_ALPHA
24
+opt_set GRID_MAX_POINTS_X 16
25
+exec_test $1 $2 "Smoothieboard Many Features"
26
+
27
+restore_configs
28
+opt_set MOTHERBOARD BOARD_AZTEEG_X5_MINI_WIFI
29
+opt_enable COREYX USE_XMAX_PLUG DAC_MOTOR_CURRENT_DEFAULT \
30
+           REPRAP_DISCOUNT_SMART_CONTROLLER SDSUPPORT BABYSTEPPING \
31
+           AUTO_BED_LEVELING_UBL RESTORE_LEVELING_AFTER_G28 EEPROM_SETTINGS \
32
+           FILAMENT_LCD_DISPLAY FILAMENT_WIDTH_SENSOR FAN_SOFT_PWM \
33
+           SHOW_TEMP_ADC_VALUES HOME_Y_BEFORE_X EMERGENCY_PARSER FAN_KICKSTART_TIME \
34
+           ABORT_ON_ENDSTOP_HIT_FEATURE_ENABLED ADVANCED_OK \
35
+           VOLUMETRIC_DEFAULT_ON NO_WORKSPACE_OFFSETS ACTION_ON_KILL \
36
+           EXTRA_FAN_SPEED FWRETRACT MENU_ADDAUTOSTART SDCARD_SORT_ALPHA
37
+opt_set FAN_MIN_PWM 50
38
+opt_set FAN_KICKSTART_TIME 100
39
+opt_set XY_FREQUENCY_LIMIT  15
40
+exec_test $1 $2 "Azteeg X5 MINI WIFI Many less common options"
41
+
42
+restore_configs
43
+use_example_configs delta/generic
44
+opt_set MOTHERBOARD BOARD_COHESION3D_REMIX
45
+opt_enable AUTO_BED_LEVELING_BILINEAR EEPROM_SETTINGS EEPROM_CHITCHAT
46
+opt_disable Z_MIN_PROBE_USES_Z_MIN_ENDSTOP_PIN
47
+opt_set X_DRIVER_TYPE TMC2130
48
+opt_set Y_DRIVER_TYPE TMC2130
49
+opt_set Z_DRIVER_TYPE TMC2130
50
+opt_enable TMC_USE_SW_SPI MONITOR_DRIVER_STATUS STEALTHCHOP HYBRID_THRESHOLD TMC_DEBUG \
51
+           SENSORLESS_PROBING X_STALL_SENSITIVITY Y_STALL_SENSITIVITY Z_STALL_SENSITIVITY
52
+exec_test $1 $2 "Delta Config (generic) + BOARD_COHESION3D_REMIX + UBL + EEPROM_SETTINGS + SENSORLESS_PROBING"
53
+
54
+# clean up
55
+restore_configs

Loading…
Cancel
Save